Order and Inventory
Order and Inventory
  1. Inventory
  • Orders
    • Create Order
      POST
    • Get Order Status
      POST
    • Get Order Fulfillment Detail
      POST
  • Inventory
    • Get Inventory
      POST
    • Get PIM Data
      POST
  • Schemas
    • Schemas
      • Item
      • Order
      • Order-Status-Parameters
      • Order-Fulfillment-Parameters
      • inline_response_200
      • inline_response_200_1
      • inline_response_200_2
      • InventoryPIM_images
      • InventoryPIM_prices
      • inline_response_200_3
      • inline_response_200_1_shipmentDetails_serialDetails
      • inline_response_200_1_shipmentDetails_lineDetails
      • inline_response_200_1_shipmentDetails_carton
      • inline_response_200_1_shipmentDetails
      • inline_response_200_1_shipNotice
  1. Inventory

Get Inventory

POST
https://test.v1.vertexapi.com/Inventory
The /inventory endpoint provides a real-time list of available products within Vertex+ Vault. Each item in the response includes a VertexSKU, which is required when submitting orders to the /orders endpoint.
For partners configured with dedicated or customer-owned inventory, an optional CustomerKey header can be provided to filter results specific to that allocation. The CustINV flag in the response indicates whether an item is part of customer-owned or dedicated inventory "T" or shared/general inventory "F".

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.v1.vertexapi.com/oauth2/token
Refresh URL: https://auth.v1.vertexapi.com/oauth2/token
or
Header Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://test.v1.vertexapi.com/Inventory' \
--header 'CustomerKey;' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "MPN": "string",
        "UPC": "string",
        "VertexSKU": "string",
        "QuantityOnHand": 0,
        "QuantityOnOrder": 0,
        "CustINV": "string"
    }
]
Modified at 2025-09-06 15:59:55
Previous
Get Order Fulfillment Detail
Next
Get PIM Data
Built with